/* string.c :  entry=string */
/* compiled by EusLisp 9.23() for Linux created on ip-172-31-30-142(Thu Jun 15 10:55:02 PST 2017) */
#include "eus.h"
#include "string.h"
#pragma init (register_string)
extern double fabs();
extern pointer fcallx();
static void init_ftab();
extern pointer loadglobal(),storeglobal();
static pointer module,*qv,codevec,quotevec;
extern pointer ___string();
extern pointer build_quote_vector();
static int register_string()
  { add_module_initializer("___string", ___string);}

static pointer F51190read_sharp_backslash();
static pointer F51194true_string();
static pointer F51197string();
static pointer F51200make_string();
static pointer F51203string_left_trim();
static pointer F51206string_right_trim();
static pointer F51209string_trim();
static pointer F51212nstring_downcase();
static pointer F51215nstring_upcase();
static pointer F51218string_upcase();
static pointer F51221string_downcase();
static pointer F51224string_();
static pointer F51227string_equal();
static pointer F51230substringp();
static pointer F51240explode_directory_names();
static pointer F51244pathnamep();
static pointer F51247pathname();
static pointer F51250namestring();
static pointer F51253pathname_directory();
static pointer F51256pathname_name();
static pointer F51259pathname_type();
static pointer F51262directory_namestring();
static pointer F51265make_pathname();
static pointer F51268parse_namestring();
static pointer F51272null_string_p();
static pointer F51275merge_pathnames();
static pointer F51278concatenate_pathnames();
static pointer F51281truename();
static pointer F51300url_pathname();
static pointer F51302parse_url();
static pointer F51304escape_url();
static pointer F51306escaped_url_string_from_namestring();
static pointer F51308unescape_url();
static pointer F51310unescaped_url_string_from_namestring();
static pointer F51312digits_string();
static pointer F51314timed_file_name();
static pointer F51316dated_file_name();
static pointer F51318sequential_file_name();

/*read_sharp_backslash*/
static pointer F51190read_sharp_backslash(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= NIL;
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)READCH(ctx,1,local+3); /*read-char*/
	local[0] = w;
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)ALPHAP(ctx,1,local+3); /*alpha-char-p*/
	if (w==NIL) goto CON51412;
	local[3]= local[0];
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)UNREADCH(ctx,2,local+3); /*unread-char*/
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)READ(ctx,1,local+3); /*read*/
	local[1] = w;
	local[3]= *(ovafptr(local[1],fqv[0]));
	local[4]= fqv[1];
	local[5]= fqv[2];
	local[6]= (pointer)get_sym_func(fqv[3]);
	ctx->vsp=local+7;
	w=(*ftab[0])(ctx,4,local+3,&ftab[0],fqv[4]); /*assoc*/
	local[2] = w;
	if (local[2]==NIL) goto IF51451;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	goto IF51452;
IF51451:
	local[3]= *(ovafptr(local[1],fqv[0]));
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	if (makeint(1)!=local[3]) goto IF51464;
	local[3]= local[0];
	goto IF51465;
IF51464:
	local[3]= fqv[5];
	ctx->vsp=local+4;
	w=(pointer)SIGERROR(ctx,1,local+3); /*error*/
	local[3]= w;
IF51465:
IF51452:
	goto CON51410;
CON51412:
	local[3]= local[0];
	goto CON51410;
CON51475:
	local[3]= NIL;
CON51410:
	w = local[3];
	local[0]= w;
BLK51374:
	ctx->vsp=local; return(local[0]);}

/*true-string*/
static pointer F51194true_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w = argv[0];
	if (!issymbol(w)) goto IF51495;
	local[0]= argv[0]->c.obj.iv[4];
	goto IF51496;
IF51495:
	local[0]= argv[0];
IF51496:
	w = local[0];
	local[0]= w;
BLK51485:
	ctx->vsp=local; return(local[0]);}

/*string*/
static pointer F51197string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w = argv[0];
	if (!isstring(w)) goto CON51521;
	local[0]= argv[0];
	goto CON51519;
CON51521:
	w = argv[0];
	if (!issymbol(w)) goto CON51527;
	local[0]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+1;
	w=(pointer)COPYSEQ(ctx,1,local+0); /*copy-seq*/
	local[0]= w;
	goto CON51519;
CON51527:
	w = argv[0];
	if (!isnum(w)) goto CON51539;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(*ftab[1])(ctx,1,local+0,&ftab[1],fqv[6]); /*princ-to-string*/
	local[0]= w;
	goto CON51519;
CON51539:
	local[0]= fqv[7];
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,2,local+0); /*error*/
	local[0]= w;
	goto CON51519;
CON51548:
	local[0]= NIL;
CON51519:
	w = local[0];
	local[0]= w;
BLK51509:
	ctx->vsp=local; return(local[0]);}

/*make-string*/
static pointer F51200make_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= loadglobal(fqv[8]);
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)INSTANTIATE(ctx,2,local+0); /*instantiate*/
	local[0]= w;
BLK51557:
	ctx->vsp=local; return(local[0]);}

/*string-left-trim*/
static pointer F51203string_left_trim(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= makeint(0);
	local[1]= argv[1];
	ctx->vsp=local+2;
	w=(pointer)F51194true_string(ctx,1,local+1); /*true-string*/
	argv[1] = w;
WHL51617:
	local[1]= argv[1];
	{ register eusinteger_t i=intval(local[0]);
	  w=makeint(local[1]->c.str.chars[i]);}
	local[1]= w;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(*ftab[2])(ctx,2,local+1,&ftab[2],fqv[9]); /*position*/
	if (w==NIL) goto WHX51618;
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	goto WHL51617;
WHX51618:
	local[1]= NIL;
BLK51619:
	local[1]= argv[1];
	local[2]= local[0];
	local[3]= argv[1];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SUBSEQ(ctx,3,local+1); /*subseq*/
	local[0]= w;
BLK51574:
	ctx->vsp=local; return(local[0]);}

/*string-right-trim*/
static pointer F51206string_right_trim(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[1];
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
	local[1]= argv[1];
	ctx->vsp=local+2;
	w=(pointer)F51194true_string(ctx,1,local+1); /*true-string*/
	argv[1] = w;
WHL51694:
	local[1]= argv[1];
	{ register eusinteger_t i=intval((pointer)((eusinteger_t)(local[0])-4));
	  w=makeint(local[1]->c.str.chars[i]);}
	local[1]= w;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(*ftab[2])(ctx,2,local+1,&ftab[2],fqv[9]); /*position*/
	if (w==NIL) goto WHX51695;
	local[0] = (pointer)((eusinteger_t)(local[0])-4);
	goto WHL51694;
WHX51695:
	local[1]= NIL;
BLK51696:
	local[1]= argv[1];
	local[2]= makeint(0);
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)SUBSEQ(ctx,3,local+1); /*subseq*/
	local[0]= w;
BLK51654:
	ctx->vsp=local; return(local[0]);}

/*string-trim*/
static pointer F51209string_trim(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= argv[0];
	local[2]= argv[1];
	ctx->vsp=local+3;
	w=(pointer)F51206string_right_trim(ctx,2,local+1); /*string-right-trim*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)F51203string_left_trim(ctx,2,local+0); /*string-left-trim*/
	local[0]= w;
BLK51730:
	ctx->vsp=local; return(local[0]);}

/*nstring-downcase*/
static pointer F51212nstring_downcase(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[10], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY51774;
	local[0] = makeint(0);
KEY51774:
	if (n & (1<<1)) goto KEY51778;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)LENGTH(ctx,1,local+2); /*length*/
	local[1] = w;
KEY51778:
	w = argv[0];
	if (isstring(w)) goto IF51789;
	local[2]= fqv[11];
	ctx->vsp=local+3;
	w=(pointer)SIGERROR(ctx,1,local+2); /*error*/
	local[2]= w;
	goto IF51790;
IF51789:
	local[2]= NIL;
IF51790:
WHL51798:
	local[2]= local[0];
	w = local[1];
	if ((eusinteger_t)local[2] >= (eusinteger_t)w) goto WHX51799;
	local[2]= argv[0];
	local[3]= local[0];
	local[4]= argv[0];
	{ register eusinteger_t i=intval(local[0]);
	  w=makeint(local[4]->c.str.chars[i]);}
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)CHDOWNCASE(ctx,1,local+4); /*char-downcase*/
	{ register eusinteger_t i; register pointer v;
	  i=intval(local[3]); v=local[2];
	  v->c.str.chars[i]=intval(w);}
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	goto WHL51798;
WHX51799:
	local[2]= NIL;
BLK51800:
	w = argv[0];
	local[0]= w;
BLK51751:
	ctx->vsp=local; return(local[0]);}

/*nstring-upcase*/
static pointer F51215nstring_upcase(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[12], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY51853;
	local[0] = makeint(0);
KEY51853:
	if (n & (1<<1)) goto KEY51857;
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)LENGTH(ctx,1,local+2); /*length*/
	local[1] = w;
KEY51857:
	w = argv[0];
	if (isstring(w)) goto IF51868;
	local[2]= fqv[13];
	ctx->vsp=local+3;
	w=(pointer)SIGERROR(ctx,1,local+2); /*error*/
	local[2]= w;
	goto IF51869;
IF51868:
	local[2]= NIL;
IF51869:
WHL51877:
	local[2]= local[0];
	w = local[1];
	if ((eusinteger_t)local[2] >= (eusinteger_t)w) goto WHX51878;
	local[2]= argv[0];
	local[3]= local[0];
	local[4]= argv[0];
	{ register eusinteger_t i=intval(local[0]);
	  w=makeint(local[4]->c.str.chars[i]);}
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)CHUPCASE(ctx,1,local+4); /*char-upcase*/
	{ register eusinteger_t i; register pointer v;
	  i=intval(local[3]); v=local[2];
	  v->c.str.chars[i]=intval(w);}
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	goto WHL51877;
WHX51878:
	local[2]= NIL;
BLK51879:
	w = argv[0];
	local[0]= w;
BLK51834:
	ctx->vsp=local; return(local[0]);}

/*string-upcase*/
static pointer F51218string_upcase(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[14], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY51923;
	local[0] = makeint(0);
KEY51923:
	if (n & (1<<1)) goto KEY51928;
	local[1] = NIL;
KEY51928:
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)F51194true_string(ctx,1,local+2); /*true-string*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)COPYSEQ(ctx,1,local+2); /*copy-seq*/
	local[2]= w;
	local[3]= local[2];
	local[4]= fqv[15];
	local[5]= local[0];
	local[6]= fqv[16];
	if (local[1]==NIL) goto IF51959;
	local[7]= local[1];
	goto IF51960;
IF51959:
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
IF51960:
	ctx->vsp=local+8;
	w=(pointer)F51215nstring_upcase(ctx,5,local+3); /*nstring-upcase*/
	local[0]= w;
BLK51913:
	ctx->vsp=local; return(local[0]);}

/*string-downcase*/
static pointer F51221string_downcase(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[17], &argv[1], n-1, local+0, 0);
	if (n & (1<<0)) goto KEY51983;
	local[0] = makeint(0);
KEY51983:
	if (n & (1<<1)) goto KEY51988;
	local[1] = NIL;
KEY51988:
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)F51194true_string(ctx,1,local+2); /*true-string*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)COPYSEQ(ctx,1,local+2); /*copy-seq*/
	local[2]= w;
	local[3]= local[2];
	local[4]= fqv[15];
	local[5]= local[0];
	local[6]= fqv[16];
	if (local[1]==NIL) goto IF52019;
	local[7]= local[1];
	goto IF52020;
IF52019:
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
IF52020:
	ctx->vsp=local+8;
	w=(pointer)F51212nstring_downcase(ctx,5,local+3); /*nstring-downcase*/
	local[0]= w;
BLK51973:
	ctx->vsp=local; return(local[0]);}

/*string=*/
static pointer F51224string_(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[18], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY52047;
	local[0] = makeint(0);
KEY52047:
	if (n & (1<<1)) goto KEY52052;
	local[1] = makeint(100000000);
KEY52052:
	if (n & (1<<2)) goto KEY52057;
	local[2] = makeint(0);
KEY52057:
	if (n & (1<<3)) goto KEY52062;
	local[3] = makeint(100000000);
KEY52062:
	local[4]= argv[0];
	local[5]= argv[1];
	local[6]= local[0];
	local[7]= local[1];
	local[8]= local[2];
	local[9]= local[3];
	ctx->vsp=local+10;
	w=(*ftab[3])(ctx,6,local+4,&ftab[3],fqv[19]); /*stringeq*/
	local[0]= w;
BLK52033:
	ctx->vsp=local; return(local[0]);}

/*string-equal*/
static pointer F51227string_equal(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[20], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY52096;
	local[0] = makeint(0);
KEY52096:
	if (n & (1<<1)) goto KEY52101;
	local[1] = makeint(100000000);
KEY52101:
	if (n & (1<<2)) goto KEY52106;
	local[2] = makeint(0);
KEY52106:
	if (n & (1<<3)) goto KEY52111;
	local[3] = makeint(100000000);
KEY52111:
	local[4]= argv[0];
	local[5]= argv[1];
	local[6]= local[0];
	local[7]= local[1];
	local[8]= local[2];
	local[9]= local[3];
	ctx->vsp=local+10;
	w=(*ftab[4])(ctx,6,local+4,&ftab[4],fqv[21]); /*stringequal*/
	local[0]= w;
BLK52082:
	ctx->vsp=local; return(local[0]);}

/*substringp*/
static pointer F51230substringp(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[1];
	ctx->vsp=local+1;
	w=(pointer)LENGTH(ctx,1,local+0); /*length*/
	local[0]= w;
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)LENGTH(ctx,1,local+1); /*length*/
#if sun4 || vax || mips || i386 || alpha || x86_64 || ARM
	w=(pointer)((eusinteger_t)w-2);
#endif
	local[0]= (pointer)((eusinteger_t)local[0] - (eusinteger_t)w);
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)LENGTH(ctx,1,local+1); /*length*/
	local[1]= w;
	local[2]= makeint(0);
TAG52180:
	local[3]= local[2];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)GREATERP(ctx,2,local+3); /*>*/
	if (w==NIL) goto IF52185;
	w = NIL;
	ctx->vsp=local+3;
	local[0]=w;
	goto BLK52145;
	goto IF52186;
IF52185:
	local[3]= NIL;
IF52186:
	local[3]= argv[0];
	local[4]= argv[1];
	local[5]= fqv[22];
	local[6]= local[2];
	local[7]= fqv[23];
	local[8]= local[2];
	local[9]= local[1];
	ctx->vsp=local+10;
	w=(pointer)PLUS(ctx,2,local+8); /*+*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)F51227string_equal(ctx,6,local+3); /*string-equal*/
	if (w==NIL) goto IF52201;
	w = T;
	ctx->vsp=local+3;
	local[0]=w;
	goto BLK52131;
	goto IF52202;
IF52201:
	local[3]= NIL;
IF52202:
	local[3]= (pointer)((eusinteger_t)(local[2])+4);
	local[2] = local[3];
	w = NIL;
	ctx->vsp=local+3;
	goto TAG52180;
	w = NIL;
	local[0]= w;
BLK52145:
	w = local[0];
	local[0]= w;
BLK52131:
	ctx->vsp=local; return(local[0]);}

/*:get*/
static pointer M52266string_get(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=4) maerror();
	local[0]= argv[0];
	local[1]= argv[2];
	local[2]= argv[3];
	ctx->vsp=local+3;
	w=(pointer)PEEK(ctx,3,local+0); /*system:peek*/
	local[0]= w;
BLK52267:
	ctx->vsp=local; return(local[0]);}

/*:set*/
static pointer M52289string_set(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=5) maerror();
	w = argv[2];
	if (!isnum(w)) goto IF52308;
	local[0]= argv[2];
	local[1]= argv[0];
	local[2]= argv[3];
	local[3]= argv[4];
	ctx->vsp=local+4;
	w=(pointer)POKE(ctx,4,local+0); /*system:poke*/
	local[0]= w;
	goto IF52309;
IF52308:
	local[0]= argv[4];
	local[1]= fqv[24];
	ctx->vsp=local+2;
	w=(*ftab[0])(ctx,2,local+0,&ftab[0],fqv[4]); /*assoc*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[0]= (w)->c.cons.cdr;
	local[1]= NIL;
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(*ftab[5])(ctx,1,local+2,&ftab[5],fqv[25]); /*flatten*/
	local[2]= w;
WHL52359:
	if (local[2]==NIL) goto WHX52360;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	w=local[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2] = (w)->c.cons.cdr;
	w = local[3];
	local[1] = w;
	w = local[1];
	if (!isnum(w)) goto CON52410;
	local[3]= local[1];
	ctx->vsp=local+4;
	w=(pointer)ROUND(ctx,1,local+3); /*round*/
	local[3]= w;
	local[4]= argv[0];
	local[5]= argv[3];
	local[6]= argv[4];
	ctx->vsp=local+7;
	w=(pointer)POKE(ctx,4,local+3); /*system:poke*/
	local[3]= argv[3];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)PLUS(ctx,2,local+3); /*+*/
	argv[3] = w;
	local[3]= argv[3];
	goto CON52408;
CON52410:
	local[3]= makeint(0);
	local[4]= local[1];
	ctx->vsp=local+5;
	w=(pointer)LENGTH(ctx,1,local+4); /*length*/
	local[4]= w;
WHL52465:
	local[5]= local[3];
	w = local[4];
	if ((eusinteger_t)local[5] >= (eusinteger_t)w) goto WHX52466;
	local[5]= local[1];
	local[6]= local[3];
	ctx->vsp=local+7;
	w=(pointer)ELT(ctx,2,local+5); /*elt*/
	local[5]= w;
	ctx->vsp=local+6;
	w=(pointer)ROUND(ctx,1,local+5); /*round*/
	local[5]= w;
	local[6]= argv[0];
	local[7]= argv[3];
	local[8]= argv[4];
	ctx->vsp=local+9;
	w=(pointer)POKE(ctx,4,local+5); /*system:poke*/
	local[5]= argv[3];
	local[6]= local[0];
	ctx->vsp=local+7;
	w=(pointer)PLUS(ctx,2,local+5); /*+*/
	argv[3] = w;
	local[3] = (pointer)((eusinteger_t)(local[3])+4);
	goto WHL52465;
WHX52466:
	local[5]= NIL;
BLK52467:
	w = NIL;
	local[3]= w;
	goto CON52408;
CON52436:
	local[3]= NIL;
CON52408:
	goto WHL52359;
WHX52360:
	local[3]= NIL;
BLK52361:
	w = NIL;
	local[0]= w;
IF52309:
	w = local[0];
	local[0]= w;
BLK52290:
	ctx->vsp=local; return(local[0]);}

/*explode-directory-names*/
static pointer F51240explode_directory_names(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= NIL;
	local[1]= NIL;
	local[2]= makeint(0);
	local[3]= NIL;
WHL52555:
	local[4]= makeint(47);
	local[5]= argv[0];
	local[6]= fqv[15];
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(*ftab[2])(ctx,4,local+4,&ftab[2],fqv[9]); /*position*/
	local[3] = w;
	if (local[3]==NIL) goto WHX52556;
	local[4]= argv[0];
	local[5]= local[2];
	local[6]= local[3];
	ctx->vsp=local+7;
	w=(pointer)SUBSEQ(ctx,3,local+4); /*subseq*/
	local[0] = w;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)LENGTH(ctx,1,local+4); /*length*/
	local[4]= w;
	w = makeint(0);
	if ((eusinteger_t)local[4] <= (eusinteger_t)w) goto IF52584;
	local[4]= local[0];
	w = local[1];
	ctx->vsp=local+5;
	local[1] = cons(ctx,local[4],w);
	local[4]= local[1];
	goto IF52585;
IF52584:
	local[4]= NIL;
IF52585:
	local[2] = (pointer)((eusinteger_t)(local[3])+4);
	goto WHL52555;
WHX52556:
	local[4]= NIL;
BLK52557:
	local[4]= argv[0];
	local[5]= local[2];
	ctx->vsp=local+6;
	w=(pointer)SUBSEQ(ctx,2,local+4); /*subseq*/
	local[0] = w;
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)LENGTH(ctx,1,local+4); /*length*/
	local[4]= w;
	w = makeint(0);
	if ((eusinteger_t)local[4] <= (eusinteger_t)w) goto IF52624;
	local[4]= local[0];
	w = local[1];
	ctx->vsp=local+5;
	local[1] = cons(ctx,local[4],w);
	local[4]= local[1];
	goto IF52625;
IF52624:
	local[4]= NIL;
IF52625:
	w = local[1];
	local[0]= w;
BLK52527:
	ctx->vsp=local; return(local[0]);}

/*:parse-namestring*/
static pointer M52665pathname_parse_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= makeint(0);
	local[1]= makeint(0);
	local[2]= makeint(0);
	local[3]= NIL;
	local[4]= NIL;
	local[5]= NIL;
	local[6]= NIL;
	argv[0]->c.obj.iv[2] = NIL;
	local[7]= argv[2];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(*ftab[6])(ctx,1,local+7,&ftab[6],fqv[26]); /*zerop*/
	if (w==NIL) goto IF52707;
	argv[0]->c.obj.iv[0] = fqv[27];
	argv[0]->c.obj.iv[1] = fqv[28];
	w = argv[0];
	ctx->vsp=local+7;
	local[0]=w;
	goto BLK52666;
	goto IF52708;
IF52707:
	local[7]= NIL;
IF52708:
	local[7]= makeint(58);
	local[8]= argv[2];
	ctx->vsp=local+9;
	w=(*ftab[2])(ctx,2,local+7,&ftab[2],fqv[9]); /*position*/
	local[6] = w;
	if (local[6]==NIL) goto IF52735;
	local[0] = local[6];
	local[7]= argv[2];
	local[8]= makeint(0);
	local[9]= local[0];
	ctx->vsp=local+10;
	w=(pointer)SUBSEQ(ctx,3,local+7); /*subseq*/
	argv[0]->c.obj.iv[0] = w;
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	local[7]= local[0];
	goto IF52736;
IF52735:
	local[7]= NIL;
IF52736:
	local[1] = local[0];
	local[7]= argv[2];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)ELT(ctx,2,local+7); /*elt*/
	local[7]= w;
	local[8]= makeint(47);
	ctx->vsp=local+9;
	w=(pointer)EQ(ctx,2,local+7); /*eql*/
	if (w==NIL) goto CON52779;
	local[7]= fqv[29];
	w = argv[0]->c.obj.iv[2];
	ctx->vsp=local+8;
	argv[0]->c.obj.iv[2] = cons(ctx,local[7],w);
	local[1] = (pointer)((eusinteger_t)(local[1])+4);
	local[7]= local[1];
	goto CON52777;
CON52779:
	local[7]= argv[2];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)ELT(ctx,2,local+7); /*elt*/
	local[7]= w;
	local[8]= makeint(126);
	ctx->vsp=local+9;
	w=(pointer)EQ(ctx,2,local+7); /*eql*/
	if (w==NIL) goto CON52812;
	local[7]= fqv[30];
	ctx->vsp=local+8;
	w=(pointer)GETENV(ctx,1,local+7); /*unix:getenv*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)F51240explode_directory_names(ctx,1,local+7); /*explode-directory-names*/
	argv[0]->c.obj.iv[2] = w;
	local[7]= argv[0]->c.obj.iv[2];
	local[8]= fqv[29];
	ctx->vsp=local+9;
	w=(pointer)LIST(ctx,1,local+8); /*list*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)NCONC(ctx,2,local+7); /*nconc*/
	argv[0]->c.obj.iv[2] = w;
	local[1] = (pointer)((eusinteger_t)(local[1])+4);
	local[7]= local[1];
	goto CON52777;
CON52812:
	local[7]= NIL;
CON52777:
WHL52857:
	local[7]= makeint(47);
	local[8]= argv[2];
	local[9]= fqv[15];
	local[10]= local[1];
	ctx->vsp=local+11;
	w=(*ftab[2])(ctx,4,local+7,&ftab[2],fqv[9]); /*position*/
	local[6] = w;
	if (local[6]==NIL) goto WHX52858;
	local[7]= argv[2];
	local[8]= local[1];
	local[9]= local[6];
	ctx->vsp=local+10;
	w=(pointer)SUBSEQ(ctx,3,local+7); /*subseq*/
	local[3] = w;
	local[7]= local[3];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
	w = makeint(0);
	if ((eusinteger_t)local[7] <= (eusinteger_t)w) goto IF52886;
	local[7]= local[3];
	w = argv[0]->c.obj.iv[2];
	ctx->vsp=local+8;
	argv[0]->c.obj.iv[2] = cons(ctx,local[7],w);
	local[7]= argv[0]->c.obj.iv[2];
	goto IF52887;
IF52886:
	local[7]= NIL;
IF52887:
	local[1] = (pointer)((eusinteger_t)(local[6])+4);
	local[2] = local[1];
	goto WHL52857;
WHX52858:
	local[7]= NIL;
BLK52859:
	local[7]= argv[0]->c.obj.iv[2];
	ctx->vsp=local+8;
	w=(pointer)NREVERSE(ctx,1,local+7); /*nreverse*/
	argv[0]->c.obj.iv[2] = w;
	local[7]= argv[2];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,2,local+7); /*subseq*/
	local[4] = w;
	local[7]= local[4];
	local[8]= fqv[31];
	ctx->vsp=local+9;
	w=(pointer)EQUAL(ctx,2,local+7); /*equal*/
	if (w==NIL) goto CON52940;
	argv[0]->c.obj.iv[3] = local[4];
	argv[0]->c.obj.iv[4] = NIL;
	local[7]= argv[0]->c.obj.iv[4];
	goto CON52938;
CON52940:
	local[7]= makeint(46);
	local[8]= argv[2];
	local[9]= fqv[15];
	local[10]= local[1];
	ctx->vsp=local+11;
	w=(*ftab[2])(ctx,4,local+7,&ftab[2],fqv[9]); /*position*/
	local[2] = w;
	if (local[2]!=NIL) goto CON52973;
	local[7]= argv[2];
	ctx->vsp=local+8;
	w=(pointer)LENGTH(ctx,1,local+7); /*length*/
	local[7]= w;
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)GREATERP(ctx,2,local+7); /*>*/
	if (w==NIL) goto IF52979;
	local[7]= argv[2];
	local[8]= local[1];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,2,local+7); /*subseq*/
	argv[0]->c.obj.iv[3] = w;
	local[7]= argv[0]->c.obj.iv[3];
	goto IF52980;
IF52979:
	local[7]= NIL;
IF52980:
	goto CON52971;
CON52973:
	local[2] = (pointer)((eusinteger_t)(local[2])+4);
WHL53010:
	local[7]= makeint(46);
	local[8]= argv[2];
	local[9]= fqv[15];
	local[10]= local[2];
	ctx->vsp=local+11;
	w=(*ftab[2])(ctx,4,local+7,&ftab[2],fqv[9]); /*position*/
	local[6] = w;
	if (local[6]==NIL) goto WHX53011;
	local[2] = (pointer)((eusinteger_t)(local[6])+4);
	goto WHL53010;
WHX53011:
	local[7]= NIL;
BLK53012:
	local[7]= argv[2];
	local[8]= local[1];
	local[9]= (pointer)((eusinteger_t)(local[2])-4);
	ctx->vsp=local+10;
	w=(pointer)SUBSEQ(ctx,3,local+7); /*subseq*/
	argv[0]->c.obj.iv[3] = w;
	local[7]= argv[2];
	local[8]= local[2];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,2,local+7); /*subseq*/
	argv[0]->c.obj.iv[4] = w;
	local[7]= argv[0]->c.obj.iv[3];
	ctx->vsp=local+8;
	w=(pointer)F51272null_string_p(ctx,1,local+7); /*null-string-p*/
	if (w==NIL) goto IF53058;
	argv[0]->c.obj.iv[3] = NIL;
	local[7]= argv[0]->c.obj.iv[3];
	goto IF53059;
IF53058:
	local[7]= NIL;
IF53059:
	goto CON52971;
CON52996:
	local[7]= NIL;
CON52971:
	goto CON52938;
CON52955:
	local[7]= NIL;
CON52938:
	w = argv[0];
	local[0]= w;
BLK52666:
	ctx->vsp=local; return(local[0]);}

/*:directory-string*/
static pointer M53076pathname_directory_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= argv[0]->c.obj.iv[2];
	w=argv[0]->c.obj.iv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	local[3]= fqv[29];
	ctx->vsp=local+4;
	w=(pointer)EQ(ctx,2,local+2); /*eql*/
	if (w==NIL) goto IF53103;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[2]= (w)->c.cons.car;
	w=local[1];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[1] = (w)->c.cons.cdr;
	w = local[2];
	local[2]= fqv[32];
	w = local[0];
	ctx->vsp=local+3;
	local[0] = cons(ctx,local[2],w);
	local[2]= local[0];
	goto IF53104;
IF53103:
	local[2]= NIL;
IF53104:
	local[2]= NIL;
	local[3]= local[1];
WHL53184:
	if (local[3]==NIL) goto WHX53185;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	w=local[3];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3] = (w)->c.cons.cdr;
	w = local[4];
	local[2] = w;
	local[4]= local[2];
	w = local[0];
	ctx->vsp=local+5;
	local[0] = cons(ctx,local[4],w);
	local[4]= fqv[33];
	w = local[0];
	ctx->vsp=local+5;
	local[0] = cons(ctx,local[4],w);
	goto WHL53184;
WHX53185:
	local[4]= NIL;
BLK53186:
	w = NIL;
	local[2]= local[0];
	ctx->vsp=local+3;
	w=(pointer)NREVERSE(ctx,1,local+2); /*nreverse*/
	local[0] = w;
	local[2]= (pointer)get_sym_func(fqv[34]);
	local[3]= loadglobal(fqv[8]);
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)APPLY(ctx,3,local+2); /*apply*/
	local[0]= w;
BLK53077:
	ctx->vsp=local; return(local[0]);}

/*:namestring*/
static pointer M53276pathname_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= argv[0];
	local[1]= fqv[35];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	if (argv[0]->c.obj.iv[4]==NIL) goto IF53304;
	local[1]= loadglobal(fqv[8]);
	local[2]= fqv[36];
	local[3]= argv[0]->c.obj.iv[4];
	ctx->vsp=local+4;
	w=(pointer)CONCATENATE(ctx,3,local+1); /*concatenate*/
	local[1]= w;
	goto IF53305;
IF53304:
	local[1]= NIL;
IF53305:
	if (argv[0]->c.obj.iv[3]==NIL) goto IF53317;
	local[2]= loadglobal(fqv[8]);
	local[3]= argv[0]->c.obj.iv[0];
	local[4]= argv[0]->c.obj.iv[1];
	local[5]= local[0];
	local[6]= argv[0]->c.obj.iv[3];
	local[7]= local[1];
	ctx->vsp=local+8;
	w=(pointer)CONCATENATE(ctx,6,local+2); /*concatenate*/
	local[2]= w;
	goto IF53318;
IF53317:
	local[2]= loadglobal(fqv[8]);
	local[3]= argv[0]->c.obj.iv[0];
	local[4]= argv[0]->c.obj.iv[1];
	local[5]= local[0];
	local[6]= local[1];
	ctx->vsp=local+7;
	w=(pointer)CONCATENATE(ctx,5,local+2); /*concatenate*/
	local[2]= w;
IF53318:
	w = local[2];
	local[0]= w;
BLK53277:
	ctx->vsp=local; return(local[0]);}

/*:host*/
static pointer M53340pathname_host(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53344;}
	local[0]= NIL;
ENT53344:
ENT53343:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53360;
	argv[0]->c.obj.iv[0] = local[0];
	local[1]= argv[0]->c.obj.iv[0];
	goto IF53361;
IF53360:
	local[1]= argv[0]->c.obj.iv[0];
IF53361:
	w = local[1];
	local[0]= w;
BLK53341:
	ctx->vsp=local; return(local[0]);}

/*:device*/
static pointer M53374pathname_device(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53378;}
	local[0]= NIL;
ENT53378:
ENT53377:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53394;
	argv[0]->c.obj.iv[1] = local[0];
	local[1]= argv[0]->c.obj.iv[1];
	goto IF53395;
IF53394:
	local[1]= argv[0]->c.obj.iv[1];
IF53395:
	w = local[1];
	local[0]= w;
BLK53375:
	ctx->vsp=local; return(local[0]);}

/*:directory*/
static pointer M53408pathname_directory(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53412;}
	local[0]= NIL;
ENT53412:
ENT53411:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53428;
	argv[0]->c.obj.iv[2] = local[0];
	local[1]= argv[0]->c.obj.iv[2];
	goto IF53429;
IF53428:
	local[1]= argv[0]->c.obj.iv[2];
IF53429:
	w = local[1];
	local[0]= w;
BLK53409:
	ctx->vsp=local; return(local[0]);}

/*:name*/
static pointer M53442pathname_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53446;}
	local[0]= NIL;
ENT53446:
ENT53445:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53462;
	argv[0]->c.obj.iv[3] = local[0];
	local[1]= argv[0]->c.obj.iv[3];
	goto IF53463;
IF53462:
	local[1]= argv[0]->c.obj.iv[3];
IF53463:
	w = local[1];
	local[0]= w;
BLK53443:
	ctx->vsp=local; return(local[0]);}

/*:type*/
static pointer M53476pathname_type(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53480;}
	local[0]= NIL;
ENT53480:
ENT53479:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53496;
	argv[0]->c.obj.iv[4] = local[0];
	local[1]= argv[0]->c.obj.iv[4];
	goto IF53497;
IF53496:
	local[1]= argv[0]->c.obj.iv[4];
IF53497:
	w = local[1];
	local[0]= w;
BLK53477:
	ctx->vsp=local; return(local[0]);}

/*:set-type*/
static pointer M53510pathname_set_type(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	argv[0]->c.obj.iv[4] = argv[2];
	w = argv[0]->c.obj.iv[4];
	local[0]= w;
BLK53511:
	ctx->vsp=local; return(local[0]);}

/*:version*/
static pointer M53533pathname_version(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53537;}
	local[0]= NIL;
ENT53537:
ENT53536:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF53553;
	argv[0]->c.obj.iv[5] = local[0];
	local[1]= argv[0]->c.obj.iv[5];
	goto IF53554;
IF53553:
	local[1]= argv[0]->c.obj.iv[5];
IF53554:
	w = local[1];
	local[0]= w;
BLK53534:
	ctx->vsp=local; return(local[0]);}

/*:merge*/
static pointer M53567pathname_merge(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	if (argv[0]->c.obj.iv[0]!=NIL) goto IF53582;
	argv[0]->c.obj.iv[0] = *(ovafptr(argv[2],fqv[37]));
	local[0]= argv[0]->c.obj.iv[0];
	goto IF53583;
IF53582:
	local[0]= NIL;
IF53583:
	if (argv[0]->c.obj.iv[1]!=NIL) goto IF53596;
	argv[0]->c.obj.iv[1] = *(ovafptr(argv[2],fqv[38]));
	local[0]= argv[0]->c.obj.iv[1];
	goto IF53597;
IF53596:
	local[0]= NIL;
IF53597:
	if (argv[0]->c.obj.iv[2]!=NIL) goto IF53610;
	argv[0]->c.obj.iv[2] = *(ovafptr(argv[2],fqv[39]));
	local[0]= argv[0]->c.obj.iv[2];
	goto IF53611;
IF53610:
	local[0]= NIL;
IF53611:
	if (argv[0]->c.obj.iv[3]!=NIL) goto IF53624;
	argv[0]->c.obj.iv[3] = *(ovafptr(argv[2],fqv[40]));
	local[0]= argv[0]->c.obj.iv[3];
	goto IF53625;
IF53624:
	local[0]= NIL;
IF53625:
	if (argv[0]->c.obj.iv[4]!=NIL) goto IF53638;
	argv[0]->c.obj.iv[4] = *(ovafptr(argv[2],fqv[41]));
	local[0]= argv[0]->c.obj.iv[4];
	goto IF53639;
IF53638:
	local[0]= NIL;
IF53639:
	if (argv[0]->c.obj.iv[5]!=NIL) goto IF53652;
	argv[0]->c.obj.iv[5] = *(ovafptr(argv[2],fqv[42]));
	local[0]= argv[0]->c.obj.iv[5];
	goto IF53653;
IF53652:
	local[0]= NIL;
IF53653:
	w = argv[0];
	local[0]= w;
BLK53568:
	ctx->vsp=local; return(local[0]);}

/*:add-directory*/
static pointer M53669pathname_add_directory(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[0]->c.obj.iv[2];
	local[1]= (pointer)get_sym_func(fqv[8]);
	local[2]= argv[2];
	ctx->vsp=local+3;
	w=(pointer)MAPCAR(ctx,2,local+1); /*mapcar*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)NCONC(ctx,2,local+0); /*nconc*/
	argv[0]->c.obj.iv[2] = w;
	w = argv[0]->c.obj.iv[2];
	local[0]= w;
BLK53670:
	ctx->vsp=local; return(local[0]);}

/*:prin1*/
static pointer M53699pathname_prin1(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT53703;}
	local[0]= T;
ENT53703:
ENT53702:
	if (n>3) maerror();
	local[1]= local[0];
	local[2]= fqv[43];
	local[3]= argv[0];
	local[4]= fqv[44];
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,2,local+3); /*send*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)XFORMAT(ctx,3,local+1); /*format*/
	local[0]= w;
BLK53700:
	ctx->vsp=local; return(local[0]);}

/*:init*/
static pointer M53728pathname_init(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[45], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY53745;
	local[0] = NIL;
KEY53745:
	if (n & (1<<1)) goto KEY53750;
	local[1] = NIL;
KEY53750:
	if (n & (1<<2)) goto KEY53755;
	local[2] = NIL;
KEY53755:
	if (n & (1<<3)) goto KEY53760;
	local[3] = NIL;
KEY53760:
	if (n & (1<<4)) goto KEY53765;
	local[4] = NIL;
KEY53765:
	if (n & (1<<5)) goto KEY53770;
	local[5] = NIL;
KEY53770:
	if (local[0]==NIL) goto IF53779;
	argv[0]->c.obj.iv[0] = local[0];
	local[6]= argv[0]->c.obj.iv[0];
	goto IF53780;
IF53779:
	local[6]= NIL;
IF53780:
	if (local[1]==NIL) goto IF53792;
	argv[0]->c.obj.iv[1] = local[1];
	local[6]= argv[0]->c.obj.iv[1];
	goto IF53793;
IF53792:
	local[6]= NIL;
IF53793:
	if (local[2]==NIL) goto IF53805;
	argv[0]->c.obj.iv[2] = local[2];
	local[6]= argv[0]->c.obj.iv[2];
	goto IF53806;
IF53805:
	local[6]= NIL;
IF53806:
	if (local[3]==NIL) goto IF53818;
	argv[0]->c.obj.iv[3] = local[3];
	local[6]= argv[0]->c.obj.iv[3];
	goto IF53819;
IF53818:
	local[6]= NIL;
IF53819:
	if (local[4]==NIL) goto IF53831;
	argv[0]->c.obj.iv[4] = local[4];
	local[6]= argv[0]->c.obj.iv[4];
	goto IF53832;
IF53831:
	local[6]= NIL;
IF53832:
	if (local[5]==NIL) goto IF53844;
	argv[0]->c.obj.iv[5] = local[5];
	local[6]= argv[0]->c.obj.iv[5];
	goto IF53845;
IF53844:
	local[6]= NIL;
IF53845:
	w = argv[0];
	local[0]= w;
BLK53729:
	ctx->vsp=local; return(local[0]);}

/*pathnamep*/
static pointer F51244pathnamep(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[46]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	local[0]= w;
BLK53862:
	ctx->vsp=local; return(local[0]);}

/*pathname*/
static pointer F51247pathname(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[46]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto IF53889;
	local[0]= argv[0];
	goto IF53890;
IF53889:
	if (argv[0]==NIL) goto IF53899;
	local[0]= loadglobal(fqv[46]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
	local[1]= local[0];
	local[2]= fqv[47];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)F51197string(ctx,1,local+3); /*string*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	w = local[0];
	local[0]= w;
	goto IF53900;
IF53899:
	local[0]= loadglobal(fqv[46]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
IF53900:
IF53890:
	w = local[0];
	local[0]= w;
BLK53879:
	ctx->vsp=local; return(local[0]);}

/*namestring*/
static pointer F51250namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	w = argv[0];
	if (!issymbol(w)) goto CON53949;
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51197string(ctx,1,local+0); /*string*/
	local[0]= w;
	goto CON53947;
CON53949:
	w = argv[0];
	if (!isstring(w)) goto CON53957;
	local[0]= argv[0];
	goto CON53947;
CON53957:
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51244pathnamep(ctx,1,local+0); /*pathnamep*/
	if (w==NIL) goto CON53963;
	local[0]= argv[0];
	local[1]= fqv[44];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	goto CON53947;
CON53963:
	local[0]= fqv[48];
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)SIGERROR(ctx,2,local+0); /*error*/
	local[0]= w;
	goto CON53947;
CON53975:
	local[0]= NIL;
CON53947:
	w = local[0];
	local[0]= w;
BLK53937:
	ctx->vsp=local; return(local[0]);}

/*pathname-directory*/
static pointer F51253pathname_directory(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51247pathname(ctx,1,local+0); /*pathname*/
	w = *(ovafptr(w,fqv[39]));
	local[0]= w;
BLK53984:
	ctx->vsp=local; return(local[0]);}

/*pathname-name*/
static pointer F51256pathname_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51247pathname(ctx,1,local+0); /*pathname*/
	w = *(ovafptr(w,fqv[40]));
	local[0]= w;
BLK54001:
	ctx->vsp=local; return(local[0]);}

/*pathname-type*/
static pointer F51259pathname_type(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51247pathname(ctx,1,local+0); /*pathname*/
	w = *(ovafptr(w,fqv[41]));
	local[0]= w;
BLK54018:
	ctx->vsp=local; return(local[0]);}

/*directory-namestring*/
static pointer F51262directory_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51247pathname(ctx,1,local+0); /*pathname*/
	local[0]= w;
	local[1]= fqv[35];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
BLK54035:
	ctx->vsp=local; return(local[0]);}

/*make-pathname*/
static pointer F51265make_pathname(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[49], &argv[0], n-0, local+0, 0);
	if (n & (1<<0)) goto KEY54067;
	local[0] = NIL;
KEY54067:
	if (n & (1<<1)) goto KEY54072;
	local[1] = NIL;
KEY54072:
	if (n & (1<<2)) goto KEY54077;
	local[2] = NIL;
KEY54077:
	if (n & (1<<3)) goto KEY54082;
	local[3] = NIL;
KEY54082:
	if (n & (1<<4)) goto KEY54087;
	local[4] = NIL;
KEY54087:
	if (n & (1<<5)) goto KEY54092;
	local[5] = NIL;
KEY54092:
	if (n & (1<<6)) goto KEY54097;
	local[6] = NIL;
KEY54097:
	local[7]= loadglobal(fqv[46]);
	ctx->vsp=local+8;
	w=(pointer)INSTANTIATE(ctx,1,local+7); /*instantiate*/
	local[7]= w;
	local[8]= local[7];
	local[9]= fqv[50];
	local[10]= fqv[51];
	local[11]= local[0];
	local[12]= fqv[52];
	local[13]= local[1];
	local[14]= fqv[53];
	local[15]= local[2];
	local[16]= fqv[54];
	local[17]= local[3];
	local[18]= fqv[55];
	local[19]= local[4];
	local[20]= fqv[56];
	local[21]= local[5];
	ctx->vsp=local+22;
	w=(pointer)SEND(ctx,14,local+8); /*send*/
	w = local[7];
	local[7]= w;
	local[8]= fqv[57];
	local[9]= local[6];
	ctx->vsp=local+10;
	w=(pointer)F51247pathname(ctx,1,local+9); /*pathname*/
	local[9]= w;
	ctx->vsp=local+10;
	w=(pointer)SEND(ctx,3,local+7); /*send*/
	local[0]= w;
BLK54054:
	ctx->vsp=local; return(local[0]);}

/*parse-namestring*/
static pointer F51268parse_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51247pathname(ctx,1,local+0); /*pathname*/
	local[0]= w;
BLK54157:
	ctx->vsp=local; return(local[0]);}

/*null-string-p*/
static pointer F51272null_string_p(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= fqv[58];
	ctx->vsp=local+2;
	w=(pointer)EQUAL(ctx,2,local+0); /*equal*/
	local[0]= w;
BLK54174:
	ctx->vsp=local; return(local[0]);}

/*merge-pathnames*/
static pointer F51275merge_pathnames(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT54192;}
	local[0]= loadglobal(fqv[59]);
ENT54192:
ENT54191:
	if (n>2) maerror();
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)F51244pathnamep(ctx,1,local+1); /*pathnamep*/
	if (w==NIL) goto IF54210;
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)COPYOBJ(ctx,1,local+1); /*copy-object*/
	local[1]= w;
	goto IF54211;
IF54210:
	local[1]= argv[0];
	ctx->vsp=local+2;
	w=(pointer)F51247pathname(ctx,1,local+1); /*pathname*/
	local[1]= w;
IF54211:
	argv[0] = local[1];
	local[1]= argv[0];
	local[2]= fqv[57];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)F51247pathname(ctx,1,local+3); /*pathname*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	local[0]= w;
BLK54189:
	ctx->vsp=local; return(local[0]);}

/*concatenate-pathnames*/
static pointer F51278concatenate_pathnames(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<0) maerror();
RST54239:
	ctx->vsp=local+0;
	local[0]= minilist(ctx,&argv[n],n-0);
	local[1]= (pointer)get_sym_func(fqv[34]);
	local[2]= loadglobal(fqv[8]);
	local[3]= (pointer)get_sym_func(fqv[60]);
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)MAPCAR(ctx,2,local+3); /*mapcar*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)APPLY(ctx,3,local+1); /*apply*/
	local[1]= w;
	ctx->vsp=local+2;
	w=(pointer)F51247pathname(ctx,1,local+1); /*pathname*/
	local[0]= w;
BLK54237:
	ctx->vsp=local; return(local[0]);}

/*truename*/
static pointer F51281truename(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	ctx->vsp=local+1;
	w=(pointer)F51247pathname(ctx,1,local+0); /*pathname*/
	argv[0] = w;
	ctx->vsp=local+0;
	w=(pointer)GETWD(ctx,0,local+0); /*unix:getwd*/
	local[0]= w;
	local[1]= argv[0];
	local[2]= fqv[35];
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,2,local+1); /*send*/
	local[1]= w;
	local[2]= T;
	if (local[1]==NIL) goto IF54301;
	local[3]= local[1];
	ctx->vsp=local+4;
	w=(pointer)CHDIR(ctx,1,local+3); /*unix:chdir*/
	local[2] = w;
	local[3]= local[2];
	goto IF54302;
IF54301:
	local[3]= NIL;
IF54302:
	local[3]= local[2];
	if (T!=local[3]) goto CON54318;
	ctx->vsp=local+3;
	w=(pointer)GETWD(ctx,0,local+3); /*unix:getwd*/
	local[2] = w;
	local[3]= local[2];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	w = makeint(1);
	if ((eusinteger_t)local[3] <= (eusinteger_t)w) goto IF54332;
	local[3]= loadglobal(fqv[8]);
	local[4]= local[2];
	local[5]= fqv[61];
	ctx->vsp=local+6;
	w=(pointer)CONCATENATE(ctx,3,local+3); /*concatenate*/
	local[2] = w;
	local[3]= local[2];
	goto IF54333;
IF54332:
	local[3]= NIL;
IF54333:
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)CHDIR(ctx,1,local+3); /*unix:chdir*/
	local[3]= fqv[54];
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)F51256pathname_name(ctx,1,local+4); /*pathname-name*/
	local[4]= w;
	local[5]= fqv[55];
	local[6]= argv[0];
	ctx->vsp=local+7;
	w=(pointer)F51259pathname_type(ctx,1,local+6); /*pathname-type*/
	local[6]= w;
	local[7]= fqv[53];
	local[8]= local[2];
	ctx->vsp=local+9;
	w=(pointer)F51253pathname_directory(ctx,1,local+8); /*pathname-directory*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)F51265make_pathname(ctx,6,local+3); /*make-pathname*/
	local[3]= w;
	goto CON54316;
CON54318:
	local[3]= fqv[62];
	ctx->vsp=local+4;
	w=(pointer)SIGERROR(ctx,1,local+3); /*error*/
	local[3]= w;
	goto CON54316;
CON54370:
	local[3]= NIL;
CON54316:
	w = local[3];
	local[0]= w;
BLK54263:
	ctx->vsp=local; return(local[0]);}

/*:prin1*/
static pointer M54419url_pathname_prin1(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= argv[2];
	local[1]= fqv[63];
	local[2]= argv[1];
	local[3]= fqv[54];
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,2,local+2); /*send*/
	local[2]= w;
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)ADDRESS(ctx,1,local+3); /*system:address*/
	local[3]= w;
	local[4]= argv[0];
	local[5]= fqv[64];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,2,local+4); /*send*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)XFORMAT(ctx,5,local+0); /*format*/
	local[0]= w;
BLK54420:
	ctx->vsp=local; return(local[0]);}

/*:string*/
static pointer M54451url_pathname_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= fqv[65];
	local[2]= argv[0]->c.obj.iv[6];
	local[3]= argv[0]->c.obj.iv[7];
	local[4]= argv[0]->c.obj.iv[8];
	local[5]= argv[0];
	ctx->vsp=local+6;
	w=(pointer)F51250namestring(ctx,1,local+5); /*namestring*/
	local[5]= w;
	ctx->vsp=local+6;
	w=(pointer)XFORMAT(ctx,6,local+0); /*format*/
	local[0]= w;
BLK54452:
	ctx->vsp=local; return(local[0]);}

/*:string2*/
static pointer M54473url_pathname_string2(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	local[0]= NIL;
	local[1]= fqv[66];
	local[2]= argv[0]->c.obj.iv[6];
	local[3]= argv[0]->c.obj.iv[7];
	local[4]= argv[0];
	ctx->vsp=local+5;
	w=(pointer)F51250namestring(ctx,1,local+4); /*namestring*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)XFORMAT(ctx,5,local+0); /*format*/
	local[0]= w;
BLK54474:
	ctx->vsp=local; return(local[0]);}

/*:port*/
static pointer M54494url_pathname_port(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54498;}
	local[0]= NIL;
ENT54498:
ENT54497:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF54514;
	argv[0]->c.obj.iv[8] = local[0];
	local[1]= argv[0]->c.obj.iv[8];
	goto IF54515;
IF54514:
	local[1]= NIL;
IF54515:
	w = argv[0]->c.obj.iv[8];
	local[0]= w;
BLK54495:
	ctx->vsp=local; return(local[0]);}

/*:server*/
static pointer M54530url_pathname_server(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54534;}
	local[0]= NIL;
ENT54534:
ENT54533:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF54550;
	argv[0]->c.obj.iv[7] = local[0];
	local[1]= argv[0]->c.obj.iv[7];
	goto IF54551;
IF54550:
	local[1]= NIL;
IF54551:
	w = argv[0]->c.obj.iv[7];
	local[0]= w;
BLK54531:
	ctx->vsp=local; return(local[0]);}

/*:connect*/
static pointer M54566url_pathname_connect(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54570;}
	local[0]= makeint(5);
ENT54570:
ENT54569:
	if (n>3) maerror();
	local[1]= argv[0]->c.obj.iv[7];
	local[2]= argv[0]->c.obj.iv[8];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(*ftab[7])(ctx,3,local+1,&ftab[7],fqv[67]); /*connect-server*/
	local[0]= w;
BLK54567:
	ctx->vsp=local; return(local[0]);}

/*:host*/
static pointer M54593url_pathname_host(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54597;}
	local[0]= NIL;
ENT54597:
ENT54596:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF54613;
	argv[0]->c.obj.iv[7] = local[0];
	local[1]= argv[0]->c.obj.iv[7];
	goto IF54614;
IF54613:
	local[1]= NIL;
IF54614:
	w = argv[0]->c.obj.iv[7];
	local[0]= w;
BLK54594:
	ctx->vsp=local; return(local[0]);}

/*:protocol*/
static pointer M54629url_pathname_protocol(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT54633;}
	local[0]= NIL;
ENT54633:
ENT54632:
	if (n>3) maerror();
	if (local[0]==NIL) goto IF54649;
	argv[0]->c.obj.iv[6] = local[0];
	local[1]= argv[0]->c.obj.iv[6];
	goto IF54650;
IF54649:
	local[1]= NIL;
IF54650:
	w = argv[0]->c.obj.iv[6];
	local[0]= w;
BLK54630:
	ctx->vsp=local; return(local[0]);}

/*:parse-namestring*/
static pointer M54665url_pathname_parse_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=3) maerror();
	local[0]= makeint(0);
	local[1]= NIL;
	local[2]= NIL;
	local[3]= makeint(58);
	local[4]= argv[2];
	ctx->vsp=local+5;
	w=(*ftab[2])(ctx,2,local+3,&ftab[2],fqv[9]); /*position*/
	local[0] = w;
	if (local[0]==NIL) goto IF54696;
	local[3]= argv[2];
	local[4]= makeint(0);
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)SUBSEQ(ctx,3,local+3); /*subseq*/
	argv[0]->c.obj.iv[6] = w;
	local[0] = (pointer)((eusinteger_t)(local[0])+4);
	local[3]= local[0];
	goto IF54697;
IF54696:
	argv[0]->c.obj.iv[6] = fqv[68];
	local[0] = makeint(0);
	local[3]= local[0];
IF54697:
	local[3]= argv[2];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)AREF(ctx,2,local+3); /*aref*/
	local[3]= w;
	local[4]= makeint(47);
	ctx->vsp=local+5;
	w=(pointer)EQ(ctx,2,local+3); /*eql*/
	if (w==NIL) goto CON54734;
	local[3]= argv[2];
	local[4]= (pointer)((eusinteger_t)(local[0])+4);
	ctx->vsp=local+5;
	w=(pointer)AREF(ctx,2,local+3); /*aref*/
	local[3]= w;
	local[4]= makeint(47);
	ctx->vsp=local+5;
	w=(pointer)EQ(ctx,2,local+3); /*eql*/
	if (w==NIL) goto CON54734;
	local[3]= makeint(47);
	local[4]= argv[2];
	local[5]= fqv[15];
	local[6]= makeint(3);
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)PLUS(ctx,2,local+6); /*+*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(*ftab[2])(ctx,4,local+3,&ftab[2],fqv[9]); /*position*/
	local[2] = w;
	if (local[2]!=NIL) goto IF54775;
	local[3]= argv[2];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[2] = w;
	local[3]= local[2];
	goto IF54776;
IF54775:
	local[3]= NIL;
IF54776:
	local[3]= argv[2];
	local[4]= makeint(2);
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)PLUS(ctx,2,local+4); /*+*/
	local[4]= w;
	local[5]= local[2];
	ctx->vsp=local+6;
	w=(pointer)SUBSEQ(ctx,3,local+3); /*subseq*/
	argv[0]->c.obj.iv[7] = w;
	local[3]= makeint(58);
	local[4]= argv[0]->c.obj.iv[7];
	ctx->vsp=local+5;
	w=(*ftab[2])(ctx,2,local+3,&ftab[2],fqv[9]); /*position*/
	local[1] = w;
	if (local[1]==NIL) goto IF54809;
	local[3]= argv[0]->c.obj.iv[7];
	local[4]= (pointer)((eusinteger_t)(local[1])+4);
	ctx->vsp=local+5;
	w=(pointer)SUBSEQ(ctx,2,local+3); /*subseq*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(*ftab[8])(ctx,1,local+3,&ftab[8],fqv[69]); /*read-from-string*/
	argv[0]->c.obj.iv[8] = w;
	local[3]= argv[0]->c.obj.iv[7];
	local[4]= makeint(0);
	local[5]= local[1];
	ctx->vsp=local+6;
	w=(pointer)SUBSEQ(ctx,3,local+3); /*subseq*/
	argv[0]->c.obj.iv[7] = w;
	local[3]= argv[0]->c.obj.iv[7];
	goto IF54810;
IF54809:
	argv[0]->c.obj.iv[8] = makeint(80);
	local[3]= argv[0]->c.obj.iv[8];
IF54810:
	local[3]= argv[0];
	local[4]= *(ovafptr(argv[1],fqv[70]));
	local[5]= fqv[47];
	local[6]= argv[2];
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)SUBSEQ(ctx,2,local+6); /*subseq*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(pointer)SENDMESSAGE(ctx,4,local+3); /*send-message*/
	local[3]= fqv[71];
	w=argv[0]->c.obj.iv[2];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.cdr;
	ctx->vsp=local+5;
	w=(pointer)APPEND(ctx,2,local+3); /*append*/
	argv[0]->c.obj.iv[2] = w;
	local[3]= argv[0];
	goto CON54732;
CON54734:
	local[3]= fqv[72];
	local[4]= argv[2];
	ctx->vsp=local+5;
	w=(pointer)SIGERROR(ctx,2,local+3); /*error*/
	local[3]= w;
	goto CON54732;
CON54877:
	local[3]= NIL;
CON54732:
	w = local[3];
	local[0]= w;
BLK54666:
	ctx->vsp=local; return(local[0]);}

/*:percent-escape*/
static pointer M54886url_pathname_percent_escape(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	ctx->vsp=local+0;
	n=parsekeyparams(fqv[73], &argv[2], n-2, local+0, 0);
	if (n & (1<<0)) goto KEY54899;
	local[0] = T;
KEY54899:
	if (n & (1<<1)) goto KEY54904;
	local[1] = NIL;
KEY54904:
	local[2]= argv[0];
	local[3]= fqv[47];
	if (local[1]==NIL) goto IF54917;
	local[4]= argv[0];
	local[5]= fqv[64];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,2,local+4); /*send*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F51310unescaped_url_string_from_namestring(ctx,2,local+4); /*unescaped-url-string-from-namestring*/
	local[4]= w;
	goto IF54918;
IF54917:
	local[4]= argv[0];
	local[5]= fqv[64];
	ctx->vsp=local+6;
	w=(pointer)SEND(ctx,2,local+4); /*send*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F51306escaped_url_string_from_namestring(ctx,2,local+4); /*escaped-url-string-from-namestring*/
	local[4]= w;
IF54918:
	ctx->vsp=local+5;
	w=(pointer)SEND(ctx,3,local+2); /*send*/
	local[0]= w;
BLK54887:
	ctx->vsp=local; return(local[0]);}

/*url-pathname*/
static pointer F51300url_pathname(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= argv[0];
	local[1]= loadglobal(fqv[74]);
	ctx->vsp=local+2;
	w=(pointer)DERIVEDP(ctx,2,local+0); /*derivedp*/
	if (w==NIL) goto IF54952;
	local[0]= argv[0];
	goto IF54953;
IF54952:
	if (argv[0]==NIL) goto IF54963;
	local[0]= loadglobal(fqv[74]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
	local[1]= local[0];
	local[2]= fqv[47];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)F51197string(ctx,1,local+3); /*string*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,3,local+1); /*send*/
	w = local[0];
	local[0]= w;
	goto IF54964;
IF54963:
	local[0]= loadglobal(fqv[74]);
	ctx->vsp=local+1;
	w=(pointer)INSTANTIATE(ctx,1,local+0); /*instantiate*/
	local[0]= w;
IF54964:
IF54953:
	w = local[0];
	local[0]= w;
BLK54942:
	ctx->vsp=local; return(local[0]);}

/*parse-url*/
static pointer F51302parse_url(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= fqv[75];
	local[1]= NIL;
	local[2]= NIL;
	local[3]= makeint(80);
	local[4]= makeint(0);
	local[5]= NIL;
	local[6]= makeint(58);
	local[7]= argv[0];
	ctx->vsp=local+8;
	w=(*ftab[2])(ctx,2,local+6,&ftab[2],fqv[9]); /*position*/
	local[4] = w;
	if (local[4]==NIL) goto IF55035;
	local[6]= argv[0];
	local[7]= makeint(0);
	local[8]= local[4];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,3,local+6); /*subseq*/
	local[0] = w;
	local[4] = (pointer)((eusinteger_t)(local[4])+4);
	local[6]= local[4];
	goto IF55036;
IF55035:
	local[4] = makeint(0);
	local[6]= local[4];
IF55036:
	local[6]= argv[0];
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[6]= w;
	local[7]= makeint(47);
	ctx->vsp=local+8;
	w=(pointer)EQ(ctx,2,local+6); /*eql*/
	if (w==NIL) goto CON55071;
	local[6]= argv[0];
	local[7]= (pointer)((eusinteger_t)(local[4])+4);
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[6]= w;
	local[7]= makeint(47);
	ctx->vsp=local+8;
	w=(pointer)EQ(ctx,2,local+6); /*eql*/
	if (w==NIL) goto CON55071;
	local[6]= argv[0];
	local[7]= makeint(2);
	local[8]= local[4];
	ctx->vsp=local+9;
	w=(pointer)PLUS(ctx,2,local+7); /*+*/
	local[7]= w;
	local[8]= makeint(47);
	local[9]= argv[0];
	local[10]= fqv[15];
	local[11]= makeint(3);
	local[12]= local[4];
	ctx->vsp=local+13;
	w=(pointer)PLUS(ctx,2,local+11); /*+*/
	local[11]= w;
	ctx->vsp=local+12;
	w=(*ftab[2])(ctx,4,local+8,&ftab[2],fqv[9]); /*position*/
	local[4] = w;
	local[8]= local[4];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,3,local+6); /*subseq*/
	local[1] = w;
	local[6]= makeint(58);
	local[7]= local[1];
	ctx->vsp=local+8;
	w=(*ftab[2])(ctx,2,local+6,&ftab[2],fqv[9]); /*position*/
	local[5] = w;
	if (local[5]==NIL) goto IF55125;
	local[6]= local[1];
	local[7]= (pointer)((eusinteger_t)(local[5])+4);
	ctx->vsp=local+8;
	w=(pointer)SUBSEQ(ctx,2,local+6); /*subseq*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(*ftab[8])(ctx,1,local+6,&ftab[8],fqv[69]); /*read-from-string*/
	local[3] = w;
	local[6]= local[1];
	local[7]= makeint(0);
	local[8]= local[5];
	ctx->vsp=local+9;
	w=(pointer)SUBSEQ(ctx,3,local+6); /*subseq*/
	local[1] = w;
	local[6]= local[1];
	goto IF55126;
IF55125:
	local[3] = makeint(80);
	local[6]= local[3];
IF55126:
	local[6]= argv[0];
	local[7]= local[4];
	ctx->vsp=local+8;
	w=(pointer)SUBSEQ(ctx,2,local+6); /*subseq*/
	local[6]= w;
	ctx->vsp=local+7;
	w=(pointer)F51247pathname(ctx,1,local+6); /*pathname*/
	local[2] = w;
	local[6]= local[2];
	local[7]= fqv[53];
	local[8]= fqv[76];
	local[9]= local[2];
	local[10]= fqv[53];
	ctx->vsp=local+11;
	w=(pointer)SEND(ctx,2,local+9); /*send*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[9]= (w)->c.cons.cdr;
	ctx->vsp=local+10;
	w=(pointer)APPEND(ctx,2,local+8); /*append*/
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)SEND(ctx,3,local+6); /*send*/
	local[6]= local[0];
	local[7]= local[1];
	local[8]= local[3];
	local[9]= local[2];
	ctx->vsp=local+10;
	w=(pointer)LIST(ctx,4,local+6); /*list*/
	local[6]= w;
	goto CON55069;
CON55071:
	local[6]= fqv[77];
	local[7]= argv[0];
	ctx->vsp=local+8;
	w=(pointer)SIGERROR(ctx,2,local+6); /*error*/
	local[6]= w;
	goto CON55069;
CON55200:
	local[6]= NIL;
CON55069:
	w = local[6];
	local[0]= w;
BLK55000:
	ctx->vsp=local; return(local[0]);}

/*escape-url*/
static pointer F51304escape_url(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT55215;}
	local[0]= loadglobal(fqv[78]);
ENT55215:
	if (n>=3) { local[1]=(argv[2]); goto ENT55214;}
	local[1]= T;
ENT55214:
ENT55213:
	if (n>3) maerror();
	ctx->vsp=local+2;
	local[2]= makeclosure(codevec,quotevec,FLET55237,env,argv,local);
	ctx->vsp=local+3;
	local[3]= makeclosure(codevec,quotevec,FLET55239,env,argv,local);
	local[4]= NIL;
	local[5]= argv[0];
	local[6]= loadglobal(fqv[79]);
	ctx->vsp=local+7;
	w=(pointer)COERCE(ctx,2,local+5); /*coerce*/
	local[5]= w;
WHL55264:
	if (local[5]==NIL) goto WHX55265;
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[6]= (w)->c.cons.car;
	w=local[5];
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5] = (w)->c.cons.cdr;
	w = local[6];
	local[4] = w;
	local[6]= local[4];
	w = local[2];
	ctx->vsp=local+7;
	w=FLET55237(ctx,1,local+6,w);
	if (w==NIL) goto CON55315;
	local[6]= local[4];
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)WRTBYTE(ctx,2,local+6); /*write-byte*/
	local[6]= w;
	goto CON55313;
CON55315:
	local[6]= local[4];
	local[7]= makeint(13);
	ctx->vsp=local+8;
	w=(*ftab[9])(ctx,2,local+6,&ftab[9],fqv[80]); /*char=*/
	if (w==NIL) goto CON55328;
	local[6]= makeint(10);
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)WRTBYTE(ctx,2,local+6); /*write-byte*/
	local[6]= w;
	goto CON55313;
CON55328:
	if (local[1]==NIL) goto CON55339;
	local[6]= local[4];
	local[7]= makeint(32);
	ctx->vsp=local+8;
	w=(*ftab[9])(ctx,2,local+6,&ftab[9],fqv[80]); /*char=*/
	if (w==NIL) goto CON55339;
	local[6]= makeint(43);
	local[7]= local[0];
	ctx->vsp=local+8;
	w=(pointer)WRTBYTE(ctx,2,local+6); /*write-byte*/
	local[6]= w;
	goto CON55313;
CON55339:
	local[6]= local[0];
	local[7]= fqv[81];
	local[8]= NIL;
	local[9]= fqv[82];
	local[10]= local[4];
	ctx->vsp=local+11;
	w=(pointer)XFORMAT(ctx,3,local+8); /*format*/
	local[8]= w;
	local[9]= makeint(2);
	w = local[3];
	ctx->vsp=local+10;
	w=FLET55239(ctx,2,local+8,w);
	local[8]= w;
	ctx->vsp=local+9;
	w=(pointer)XFORMAT(ctx,3,local+6); /*format*/
	local[6]= w;
	goto CON55313;
CON55353:
	local[6]= NIL;
CON55313:
	goto WHL55264;
WHX55265:
	local[6]= NIL;
BLK55266:
	w = NIL;
	local[0]= w;
BLK55211:
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer FLET55237(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=1) maerror();
	local[0]= makeint(65);
	local[1]= argv[0];
	local[2]= makeint(90);
	ctx->vsp=local+3;
	w=(pointer)LSEQP(ctx,3,local+0); /*<=*/
	local[0]= w;
	if (w!=NIL) goto OR55381;
	local[0]= makeint(97);
	local[1]= argv[0];
	local[2]= makeint(122);
	ctx->vsp=local+3;
	w=(pointer)LSEQP(ctx,3,local+0); /*<=*/
	local[0]= w;
	if (w!=NIL) goto OR55381;
	local[0]= makeint(48);
	local[1]= argv[0];
	local[2]= makeint(57);
	ctx->vsp=local+3;
	w=(pointer)LSEQP(ctx,3,local+0); /*<=*/
	local[0]= w;
	if (w!=NIL) goto OR55381;
	local[0]= argv[0];
	local[1]= loadglobal(fqv[83]);
	local[2]= fqv[2];
	local[3]= (pointer)get_sym_func(fqv[80]);
	ctx->vsp=local+4;
	w=(*ftab[10])(ctx,4,local+0,&ftab[10],fqv[84]); /*find*/
	local[0]= w;
OR55381:
	w = local[0];
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*closure or cleaner*/
static pointer FLET55239(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n!=2) maerror();
	ctx->vsp=local+0;
	w=(*ftab[11])(ctx,0,local+0,&ftab[11],fqv[85]); /*make-string-output-stream*/
	local[0]= w;
	local[1]= makeint(0);
	local[2]= argv[1];
	local[3]= argv[0];
	ctx->vsp=local+4;
	w=(pointer)LENGTH(ctx,1,local+3); /*length*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)MINUS(ctx,2,local+2); /*-*/
	local[2]= w;
WHL55465:
	local[3]= local[1];
	w = local[2];
	if ((eusinteger_t)local[3] >= (eusinteger_t)w) goto WHX55466;
	local[3]= makeint(48);
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)WRTBYTE(ctx,2,local+3); /*write-byte*/
	local[1] = (pointer)((eusinteger_t)(local[1])+4);
	goto WHL55465;
WHX55466:
	local[3]= NIL;
BLK55467:
	w = NIL;
	local[1]= local[0];
	local[2]= argv[0];
	ctx->vsp=local+3;
	w=(pointer)XFORMAT(ctx,2,local+1); /*format*/
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(*ftab[12])(ctx,1,local+1,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[1]= local[0];
	ctx->vsp=local+2;
	w=(*ftab[12])(ctx,1,local+1,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[0]= w;
	ctx->vsp=local; return(local[0]);}

/*escaped-url-string-from-namestring*/
static pointer F51306escaped_url_string_from_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT55509;}
	local[0]= T;
ENT55509:
ENT55508:
	if (n>2) maerror();
	ctx->vsp=local+1;
	w=(*ftab[11])(ctx,0,local+1,&ftab[11],fqv[85]); /*make-string-output-stream*/
	local[1]= w;
	local[2]= argv[0];
	local[3]= local[1];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)F51304escape_url(ctx,3,local+2); /*escape-url*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[12])(ctx,1,local+2,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[12])(ctx,1,local+2,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[0]= w;
BLK55506:
	ctx->vsp=local; return(local[0]);}

/*unescape-url*/
static pointer F51308unescape_url(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT55555;}
	local[0]= loadglobal(fqv[78]);
ENT55555:
	if (n>=3) { local[1]=(argv[2]); goto ENT55554;}
	local[1]= T;
ENT55554:
ENT55553:
	if (n>3) maerror();
	local[2]= argv[0];
	local[3]= fqv[15];
	local[4]= fqv[87];
	ctx->vsp=local+5;
	w=(*ftab[13])(ctx,2,local+3,&ftab[13],fqv[88]); /*member*/
	if (w==NIL) goto IF55584;
	local[3]= fqv[15];
	local[4]= fqv[89];
	ctx->vsp=local+5;
	w=(*ftab[13])(ctx,2,local+3,&ftab[13],fqv[88]); /*member*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[3]= (w)->c.cons.car;
	goto IF55585;
IF55584:
	local[3]= NIL;
IF55585:
	local[4]= fqv[16];
	local[5]= fqv[90];
	ctx->vsp=local+6;
	w=(*ftab[13])(ctx,2,local+4,&ftab[13],fqv[88]); /*member*/
	if (w==NIL) goto IF55608;
	local[4]= fqv[16];
	local[5]= fqv[91];
	ctx->vsp=local+6;
	w=(*ftab[13])(ctx,2,local+4,&ftab[13],fqv[88]); /*member*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[4]= (w)->c.cons.car;
	goto IF55609;
IF55608:
	local[4]= NIL;
IF55609:
	ctx->vsp=local+5;
	w=(*ftab[14])(ctx,3,local+2,&ftab[14],fqv[92]); /*make-string-input-stream*/
	local[2]= w;
WHL55636:
	local[3]= local[2];
	local[4]= NIL;
	ctx->vsp=local+5;
	w=(pointer)PEEKCH(ctx,2,local+3); /*peek-char*/
	if (w==NIL) goto WHX55637;
	local[3]= local[2];
	ctx->vsp=local+4;
	w=(pointer)PEEKCH(ctx,1,local+3); /*peek-char*/
	local[3]= w;
	local[4]= local[3];
	if (fqv[93]!=local[4]) goto IF55661;
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)READCH(ctx,1,local+4); /*read-char*/
	local[4]= makeint(35);
	local[5]= makeint(120);
	local[6]= local[2];
	ctx->vsp=local+7;
	w=(pointer)READCH(ctx,1,local+6); /*read-char*/
	local[6]= w;
	local[7]= local[2];
	ctx->vsp=local+8;
	w=(pointer)READCH(ctx,1,local+7); /*read-char*/
	local[7]= w;
	ctx->vsp=local+8;
	w=(pointer)LIST(ctx,4,local+4); /*list*/
	local[4]= w;
	local[5]= loadglobal(fqv[8]);
	ctx->vsp=local+6;
	w=(pointer)COERCE(ctx,2,local+4); /*coerce*/
	local[4]= w;
	ctx->vsp=local+5;
	w=(*ftab[8])(ctx,1,local+4,&ftab[8],fqv[69]); /*read-from-string*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)WRTBYTE(ctx,2,local+4); /*write-byte*/
	local[4]= w;
	goto IF55662;
IF55661:
	local[4]= local[3];
	if (fqv[94]!=local[4]) goto IF55692;
	if (local[1]==NIL) goto IF55700;
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)READCH(ctx,1,local+4); /*read-char*/
	local[4]= makeint(32);
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)WRTBYTE(ctx,2,local+4); /*write-byte*/
	local[4]= w;
	goto IF55701;
IF55700:
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)READCH(ctx,1,local+4); /*read-char*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)WRTBYTE(ctx,2,local+4); /*write-byte*/
	local[4]= w;
IF55701:
	goto IF55693;
IF55692:
	if (T==NIL) goto IF55722;
	local[4]= local[2];
	ctx->vsp=local+5;
	w=(pointer)READCH(ctx,1,local+4); /*read-char*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)WRTBYTE(ctx,2,local+4); /*write-byte*/
	local[4]= w;
	goto IF55723;
IF55722:
	local[4]= NIL;
IF55723:
IF55693:
IF55662:
	w = local[4];
	goto WHL55636;
WHX55637:
	local[3]= NIL;
BLK55638:
	w = local[3];
	local[0]= w;
BLK55551:
	ctx->vsp=local; return(local[0]);}

/*unescaped-url-string-from-namestring*/
static pointer F51310unescaped_url_string_from_namestring(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<1) maerror();
	if (n>=2) { local[0]=(argv[1]); goto ENT55739;}
	local[0]= T;
ENT55739:
ENT55738:
	if (n>2) maerror();
	ctx->vsp=local+1;
	w=(*ftab[11])(ctx,0,local+1,&ftab[11],fqv[85]); /*make-string-output-stream*/
	local[1]= w;
	local[2]= argv[0];
	local[3]= local[1];
	local[4]= local[0];
	ctx->vsp=local+5;
	w=(pointer)F51308unescape_url(ctx,3,local+2); /*unescape-url*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[12])(ctx,1,local+2,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[2]= local[1];
	ctx->vsp=local+3;
	w=(*ftab[12])(ctx,1,local+2,&ftab[12],fqv[86]); /*get-output-stream-string*/
	local[0]= w;
BLK55736:
	ctx->vsp=local; return(local[0]);}

/*digits-string*/
static pointer F51312digits_string(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT55784;}
	local[0]= makeint(10);
ENT55784:
ENT55783:
	if (n>3) maerror();
	local[1]= argv[1];
	local[2]= makeint(1);
	ctx->vsp=local+3;
	w=(pointer)LSEQP(ctx,2,local+1); /*<=*/
	if (w==NIL) goto IF55800;
	local[1]= NIL;
	local[2]= fqv[95];
	local[3]= argv[0];
	local[4]= argv[0];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)QUOTIENT(ctx,2,local+4); /*/*/
	local[4]= w;
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)TIMES(ctx,2,local+4); /***/
	local[4]= w;
	ctx->vsp=local+5;
	w=(pointer)MINUS(ctx,2,local+3); /*-*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)XFORMAT(ctx,3,local+1); /*format*/
	local[1]= w;
	goto IF55801;
IF55800:
	local[1]= loadglobal(fqv[8]);
	local[2]= argv[0];
	local[3]= local[0];
	ctx->vsp=local+4;
	w=(pointer)QUOTIENT(ctx,2,local+2); /*/*/
	local[2]= w;
	local[3]= (pointer)((eusinteger_t)(argv[1])-4);
	ctx->vsp=local+4;
	w=(pointer)F51312digits_string(ctx,2,local+2); /*digits-string*/
	local[2]= w;
	local[3]= argv[0];
	local[4]= makeint(1);
	ctx->vsp=local+5;
	w=(pointer)F51312digits_string(ctx,2,local+3); /*digits-string*/
	local[3]= w;
	ctx->vsp=local+4;
	w=(pointer)CONCATENATE(ctx,3,local+1); /*concatenate*/
	local[1]= w;
IF55801:
	w = local[1];
	local[0]= w;
BLK55781:
	ctx->vsp=local; return(local[0]);}

/*timed-file-name*/
static pointer F51314timed_file_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT55842;}
	ctx->vsp=local+0;
	w=(pointer)LOCALTIME(ctx,0,local+0); /*unix:localtime*/
	local[0]= w;
ENT55842:
ENT55841:
	if (n>3) maerror();
	local[1]= NIL;
	local[2]= fqv[96];
	local[3]= argv[0];
	local[4]= local[0];
	local[5]= makeint(2);
	ctx->vsp=local+6;
	w=(pointer)AREF(ctx,2,local+4); /*aref*/
	local[4]= w;
	local[5]= makeint(2);
	ctx->vsp=local+6;
	w=(pointer)F51312digits_string(ctx,2,local+4); /*digits-string*/
	local[4]= w;
	local[5]= local[0];
	local[6]= makeint(1);
	ctx->vsp=local+7;
	w=(pointer)AREF(ctx,2,local+5); /*aref*/
	local[5]= w;
	local[6]= makeint(2);
	ctx->vsp=local+7;
	w=(pointer)F51312digits_string(ctx,2,local+5); /*digits-string*/
	local[5]= w;
	local[6]= local[0];
	local[7]= makeint(0);
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[6]= w;
	local[7]= makeint(2);
	ctx->vsp=local+8;
	w=(pointer)F51312digits_string(ctx,2,local+6); /*digits-string*/
	local[6]= w;
	local[7]= argv[1];
	ctx->vsp=local+8;
	w=(pointer)XFORMAT(ctx,7,local+1); /*format*/
	local[0]= w;
BLK55839:
	ctx->vsp=local; return(local[0]);}

/*dated-file-name*/
static pointer F51316dated_file_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<2) maerror();
	if (n>=3) { local[0]=(argv[2]); goto ENT55883;}
	ctx->vsp=local+0;
	w=(pointer)LOCALTIME(ctx,0,local+0); /*unix:localtime*/
	local[0]= w;
ENT55883:
ENT55882:
	if (n>3) maerror();
	local[1]= NIL;
	local[2]= fqv[97];
	local[3]= argv[0];
	local[4]= local[0];
	local[5]= makeint(5);
	ctx->vsp=local+6;
	w=(pointer)AREF(ctx,2,local+4); /*aref*/
	local[4]= w;
	local[5]= makeint(2);
	ctx->vsp=local+6;
	w=(pointer)F51312digits_string(ctx,2,local+4); /*digits-string*/
	local[4]= w;
	local[5]= local[0];
	local[6]= makeint(4);
	ctx->vsp=local+7;
	w=(pointer)AREF(ctx,2,local+5); /*aref*/
	local[5]= w;
	local[6]= fqv[98];
	ctx->vsp=local+7;
	w=(*ftab[0])(ctx,2,local+5,&ftab[0],fqv[4]); /*assoc*/
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	w=(w)->c.cons.cdr;
	if (!iscons(w) && w!=NIL) error(E_NOLIST);
	local[5]= (w)->c.cons.car;
	local[6]= local[0];
	local[7]= makeint(3);
	ctx->vsp=local+8;
	w=(pointer)AREF(ctx,2,local+6); /*aref*/
	local[6]= w;
	local[7]= makeint(2);
	ctx->vsp=local+8;
	w=(pointer)F51312digits_string(ctx,2,local+6); /*digits-string*/
	local[6]= w;
	local[7]= argv[1];
	ctx->vsp=local+8;
	w=(pointer)XFORMAT(ctx,7,local+1); /*format*/
	local[0]= w;
BLK55880:
	ctx->vsp=local; return(local[0]);}

/*sequential-file-name*/
static pointer F51318sequential_file_name(ctx,n,argv,env)
register context *ctx;
register int n; register pointer argv[]; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv=qv;
  numunion nu;
	if (n<3) maerror();
	if (n>=4) { local[0]=(argv[3]); goto ENT55932;}
	local[0]= makeint(4);
ENT55932:
ENT55931:
	if (n>4) maerror();
	local[1]= NIL;
	local[2]= fqv[99];
	local[3]= argv[0];
	local[4]= argv[1];
	local[5]= local[0];
	ctx->vsp=local+6;
	w=(pointer)F51312digits_string(ctx,2,local+4); /*digits-string*/
	local[4]= w;
	local[5]= argv[2];
	ctx->vsp=local+6;
	w=(pointer)XFORMAT(ctx,5,local+1); /*format*/
	local[0]= w;
BLK55929:
	ctx->vsp=local; return(local[0]);}

/* initializer*/
pointer ___string(ctx,n,argv,env)
register context *ctx; int n; pointer *argv; pointer env;
{ register pointer *local=ctx->vsp, w, *fqv;
  register int i;
  numunion nu;
  module=argv[0];
  quotevec=build_quote_vector(ctx,QUOTE_STRINGS_SIZE, quote_strings);
  module->c.code.quotevec=quotevec;
  codevec=module->c.code.codevec;
  fqv=qv=quotevec->c.vec.v;
  init_ftab();
	local[0]= fqv[100];
	ctx->vsp=local+1;
	w=(pointer)LIST(ctx,1,local+0); /*list*/
	local[0]= fqv[101];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	if (w==NIL) goto IF55967;
	local[0]= fqv[102];
	ctx->vsp=local+1;
	w=(pointer)FINDPACKAGE(ctx,1,local+0); /*find-package*/
	local[0]= w;
	storeglobal(fqv[103],w);
	goto IF55968;
IF55967:
	local[0]= fqv[104];
	ctx->vsp=local+1;
	w=(pointer)SIGERROR(ctx,1,local+0); /*error*/
	local[0]= w;
IF55968:
	local[0]= fqv[105];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[106],module,F51190read_sharp_backslash,fqv[107]);
	local[0]= makeint(35);
	local[1]= makeint(92);
	local[2]= fqv[106];
	ctx->vsp=local+3;
	w=(pointer)SETDISPMACRO(ctx,3,local+0); /*set-dispatch-macro-character*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[108],module,F51194true_string,fqv[109]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[8],module,F51197string,fqv[110]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[111],module,F51200make_string,fqv[112]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[113],module,F51203string_left_trim,fqv[114]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[115],module,F51206string_right_trim,fqv[116]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[117],module,F51209string_trim,fqv[118]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[119],module,F51212nstring_downcase,fqv[120]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[121],module,F51215nstring_upcase,fqv[122]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[123],module,F51218string_upcase,fqv[124]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[125],module,F51221string_downcase,fqv[126]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[127],module,F51224string_,fqv[128]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[3],module,F51227string_equal,fqv[129]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[130],module,F51230substringp,fqv[131]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M52266string_get,fqv[132],fqv[8],fqv[133]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M52289string_set,fqv[134],fqv[8],fqv[135]);
	local[0]= fqv[46];
	local[1]= fqv[136];
	local[2]= fqv[46];
	local[3]= fqv[137];
	local[4]= loadglobal(fqv[138]);
	local[5]= fqv[139];
	local[6]= fqv[140];
	local[7]= fqv[141];
	local[8]= NIL;
	local[9]= fqv[142];
	local[10]= NIL;
	local[11]= fqv[143];
	local[12]= makeint(-1);
	local[13]= fqv[144];
	local[14]= NIL;
	ctx->vsp=local+15;
	w=(*ftab[15])(ctx,13,local+2,&ftab[15],fqv[145]); /*make-class*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[146];
	ctx->vsp=local+1;
	w=(pointer)EXPORT(ctx,1,local+0); /*export*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[147],module,F51240explode_directory_names,fqv[148]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M52665pathname_parse_namestring,fqv[47],fqv[46],fqv[149]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53076pathname_directory_string,fqv[35],fqv[46],fqv[150]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53276pathname_namestring,fqv[44],fqv[46],fqv[151]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53340pathname_host,fqv[51],fqv[46],fqv[152]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53374pathname_device,fqv[52],fqv[46],fqv[153]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53408pathname_directory,fqv[53],fqv[46],fqv[154]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53442pathname_name,fqv[54],fqv[46],fqv[155]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53476pathname_type,fqv[55],fqv[46],fqv[156]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53510pathname_set_type,fqv[157],fqv[46],fqv[158]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53533pathname_version,fqv[56],fqv[46],fqv[159]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53567pathname_merge,fqv[57],fqv[46],fqv[160]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53669pathname_add_directory,fqv[161],fqv[46],fqv[162]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53699pathname_prin1,fqv[163],fqv[46],fqv[164]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M53728pathname_init,fqv[50],fqv[46],fqv[165]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[166],module,F51244pathnamep,fqv[167]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[46],module,F51247pathname,fqv[168]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[60],module,F51250namestring,fqv[169]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[170],module,F51253pathname_directory,fqv[171]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[172],module,F51256pathname_name,fqv[173]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[174],module,F51259pathname_type,fqv[175]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[176],module,F51262directory_namestring,fqv[177]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[178],module,F51265make_pathname,fqv[179]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[180],module,F51268parse_namestring,fqv[181]);
	local[0]= fqv[59];
	local[1]= fqv[136];
	local[2]= fqv[182];
	local[3]= fqv[183];
	local[4]= fqv[184];
	local[5]= fqv[185];
	ctx->vsp=local+6;
	w=(pointer)LIST(ctx,4,local+2); /*list*/
	local[2]= w;
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	ctx->vsp=local+0;
	compfun(ctx,fqv[186],module,F51272null_string_p,fqv[187]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[188],module,F51275merge_pathnames,fqv[189]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[190],module,F51278concatenate_pathnames,fqv[191]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[192],module,F51281truename,fqv[193]);
	local[0]= fqv[74];
	local[1]= fqv[136];
	local[2]= fqv[74];
	local[3]= fqv[137];
	local[4]= loadglobal(fqv[46]);
	local[5]= fqv[139];
	local[6]= fqv[194];
	local[7]= fqv[141];
	local[8]= NIL;
	local[9]= fqv[142];
	local[10]= NIL;
	local[11]= fqv[143];
	local[12]= makeint(-1);
	local[13]= fqv[144];
	local[14]= NIL;
	ctx->vsp=local+15;
	w=(*ftab[15])(ctx,13,local+2,&ftab[15],fqv[145]); /*make-class*/
	local[2]= w;
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54419url_pathname_prin1,fqv[163],fqv[74],fqv[195]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54451url_pathname_string,fqv[64],fqv[74],fqv[196]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54473url_pathname_string2,fqv[197],fqv[74],fqv[198]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54494url_pathname_port,fqv[199],fqv[74],fqv[200]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54530url_pathname_server,fqv[201],fqv[74],fqv[202]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54566url_pathname_connect,fqv[203],fqv[74],fqv[204]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54593url_pathname_host,fqv[51],fqv[74],fqv[205]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54629url_pathname_protocol,fqv[206],fqv[74],fqv[207]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54665url_pathname_parse_namestring,fqv[47],fqv[74],fqv[208]);
	ctx->vsp=local+0;
	addcmethod(ctx,module,M54886url_pathname_percent_escape,fqv[209],fqv[74],fqv[210]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[74],module,F51300url_pathname,fqv[211]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[212],module,F51302parse_url,fqv[213]);
	local[0]= fqv[83];
	local[1]= fqv[214];
	ctx->vsp=local+2;
	w=(pointer)SEND(ctx,2,local+0); /*send*/
	local[0]= w;
	local[1]= makeint(1);
	ctx->vsp=local+2;
	w=(pointer)EQ(ctx,2,local+0); /*eql*/
	if (w==NIL) goto IF56181;
	local[0]= fqv[83];
	local[1]= fqv[214];
	local[2]= makeint(2);
	ctx->vsp=local+3;
	w=(pointer)SEND(ctx,3,local+0); /*send*/
	local[0]= fqv[83];
	ctx->vsp=local+1;
	w=(pointer)BOUNDP(ctx,1,local+0); /*boundp*/
	if (w!=NIL) goto IF56204;
	local[0]= fqv[83];
	local[1]= fqv[136];
	local[2]= fqv[215];
	local[3]= NIL;
	ctx->vsp=local+4;
	w=(pointer)SEND(ctx,4,local+0); /*send*/
	local[0]= w;
	goto IF56205;
IF56204:
	local[0]= NIL;
IF56205:
	local[0]= fqv[83];
	goto IF56182;
IF56181:
	local[0]= NIL;
IF56182:
	ctx->vsp=local+0;
	compfun(ctx,fqv[216],module,F51304escape_url,fqv[217]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[218],module,F51306escaped_url_string_from_namestring,fqv[219]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[220],module,F51308unescape_url,fqv[221]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[222],module,F51310unescaped_url_string_from_namestring,fqv[223]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[224],module,F51312digits_string,fqv[225]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[226],module,F51314timed_file_name,fqv[227]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[228],module,F51316dated_file_name,fqv[229]);
	ctx->vsp=local+0;
	compfun(ctx,fqv[230],module,F51318sequential_file_name,fqv[231]);
	local[0]= NIL;
	ctx->vsp=local; return(local[0]);}
static void init_ftab()
{  register int i;
  for (i=0; i<16; i++) ftab[i]=fcallx;
}
